Post Work Orders Id Reviewers Reviewer Id Reminder
Emails the review request to a reviewer again and resets them to pending if they had already approved or rejected; only admins, the work order’s assigned managers and leads, location managers and its creator may call it, and not to remind themselves.
Authentication
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Path parameters
Response
The reviewer, including last_active_at and archived
pending while awaiting a response (including after a reminder), approved or rejected once they respond, commented for someone who only commented without being asked to review
When the review request was last emailed (ISO 8601); null if no request was emailed, such as someone who reviewed without being asked
true for an external (non-member) reviewer
true when the caller can send this reviewer a reminder: they are not the caller, their access is not revoked, and they can receive email
Unix timestamp (seconds since epoch)
Unix timestamp (seconds since epoch)
